net.snowflake.client.core

## Class SessionUtil.LoginOutput

- java.lang.Object
- - net.snowflake.client.core.SessionUtil.LoginOutput

Enclosing class:
  SessionUtil

    public static class SessionUtil.LoginOutput
    extends Object

Login output information including session tokens, database versions

### Constructor Summary

Constructors
Constructor and Description
`LoginOutput()`

`LoginOutput(String sessionToken, String masterToken, long masterTokenValidityInSeconds, String remMeToken, String idToken, String idTokenPassword, String databaseVersion, int databaseMajorVersion, int databaseMinorVersion, String newClientForUpgrade, int healthCheckInterval, int httpClientSocketTimeout, String sessionDatabase, String sessionSchema, String sessionRole, String sessionWarehouse, Map<String,Object> commonParams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getCommonParams()`
`int` `getDatabaseMajorVersion()`
`int` `getDatabaseMinorVersion()`
`String` `getDatabaseVersion()`
`int` `getHealthCheckInterval()`
`int` `getHttpClientSocketTimeout()`
`String` `getIdToken()`
`String` `getIdTokenPassword()`
`String` `getMasterToken()`
`long` `getMasterTokenValidityInSeconds()`
`String` `getNewClientForUpgrade()`
`String` `getRemMeToken()`
`String` `getSessionDatabase()`
`String` `getSessionRole()`
`String` `getSessionSchema()`
`String` `getSessionToken()`
`SessionUtil.LoginOutput` `setCommonParams(Map<String,Object> commonParams)`
`SessionUtil.LoginOutput` `setDatabaseMajorVersion(int databaseMajorVersion)`
`SessionUtil.LoginOutput` `setDatabaseMinorVersion(int databaseMinorVersion)`
`SessionUtil.LoginOutput` `setDatabaseVersion(String databaseVersion)`
`SessionUtil.LoginOutput` `setHealthCheckInterval(int healthCheckInterval)`
`SessionUtil.LoginOutput` `setHttpClientSocketTimeout(int httpClientSocketTimeout)`
`SessionUtil.LoginOutput` `setIdToken(String idToken)`
`SessionUtil.LoginOutput` `setMasterToken(String masterToken)`
`SessionUtil.LoginOutput` `setNewClientForUpgrade(String newClientForUpgrade)`
`SessionUtil.LoginOutput` `setRemMeToken(String remMeToken)`
`void` `setSessionDatabase(String sessionDatabase)`
`void` `setSessionSchema(String sessionSchema)`
`SessionUtil.LoginOutput` `setSessionToken(String sessionToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginOutput

    public LoginOutput()

#### LoginOutput

    public LoginOutput(String sessionToken,
                       String masterToken,
                       long masterTokenValidityInSeconds,
                       String remMeToken,
                       String idToken,
                       String idTokenPassword,
                       String databaseVersion,
                       int databaseMajorVersion,
                       int databaseMinorVersion,
                       String newClientForUpgrade,
                       int healthCheckInterval,
                       int httpClientSocketTimeout,
                       String sessionDatabase,
                       String sessionSchema,
                       String sessionRole,
                       String sessionWarehouse,
                       Map<String,Object> commonParams)

### Method Detail

#### setSessionToken

    public SessionUtil.LoginOutput setSessionToken(String sessionToken)

#### setMasterToken

    public SessionUtil.LoginOutput setMasterToken(String masterToken)

#### setIdToken

    public SessionUtil.LoginOutput setIdToken(String idToken)

#### setRemMeToken

    public SessionUtil.LoginOutput setRemMeToken(String remMeToken)

#### setDatabaseVersion

    public SessionUtil.LoginOutput setDatabaseVersion(String databaseVersion)

#### setDatabaseMajorVersion

    public SessionUtil.LoginOutput setDatabaseMajorVersion(int databaseMajorVersion)

#### setDatabaseMinorVersion

    public SessionUtil.LoginOutput setDatabaseMinorVersion(int databaseMinorVersion)

#### setNewClientForUpgrade

    public SessionUtil.LoginOutput setNewClientForUpgrade(String newClientForUpgrade)

#### setHealthCheckInterval

    public SessionUtil.LoginOutput setHealthCheckInterval(int healthCheckInterval)

#### setHttpClientSocketTimeout

    public SessionUtil.LoginOutput setHttpClientSocketTimeout(int httpClientSocketTimeout)

#### setCommonParams

    public SessionUtil.LoginOutput setCommonParams(Map<String,Object> commonParams)

#### getSessionToken

    public String getSessionToken()

#### getMasterToken

    public String getMasterToken()

#### getRemMeToken

    public String getRemMeToken()

#### getIdToken

    public String getIdToken()

#### getIdTokenPassword

    public String getIdTokenPassword()

#### getDatabaseVersion

    public String getDatabaseVersion()

#### getDatabaseMajorVersion

    public int getDatabaseMajorVersion()

#### getDatabaseMinorVersion

    public int getDatabaseMinorVersion()

#### getNewClientForUpgrade

    public String getNewClientForUpgrade()

#### getHealthCheckInterval

    public int getHealthCheckInterval()

#### getHttpClientSocketTimeout

    public int getHttpClientSocketTimeout()

#### getCommonParams

    public Map<String,Object> getCommonParams()

#### getSessionDatabase

    public String getSessionDatabase()

#### setSessionDatabase

    public void setSessionDatabase(String sessionDatabase)

#### getSessionSchema

    public String getSessionSchema()

#### setSessionSchema

    public void setSessionSchema(String sessionSchema)

#### getSessionRole

    public String getSessionRole()

#### getMasterTokenValidityInSeconds

    public long getMasterTokenValidityInSeconds()